Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-tunnel-agent
Version:        0.4.2
Release:        alt1_7
Summary:        HTTP proxy tunneling agent
License:        ASL 2.0
URL:            https://github.com/mikeal/tunnel-agent
Source0:        https://registry.npmjs.org/tunnel-agent/-/tunnel-agent-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tunnel-agent
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/tunnel-agent
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/tunnel-agent


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_2
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_1
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_1
- initial import

